%define _unpackaged_files_terminate_build 0
%define pilot_support 0

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: 1.4.9
Release: 6mdk
Epoch: 1
License: GPL
Group: Office
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{version}.tar.bz2
Source1: gnomecal_16.png
Source2: gnomecal_32.png
Source3: gnomecal_48.png
Source4: gnomecard_16.png
Source5: gnomecard_32.png
Source6: gnomecard_48.png
# (fc) 1.4.9-4mdk fix help call and don't complain when launcing gnomecard 
# (Mdk bug 916)
Patch0: gnome-pim-1.4.9-fixhelp.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	flex
%if %{pilot_support}
BuildRequires:	gnome-pilot-devel >= 0.1.62
%endif
BuildRequires:	gnome-libs-devel
#BuildRequires:	libgnomeui2_0-devel >= 2.0.0
#BuildRequires:	libmimedir-devel
BuildRequires:	libxml-devel
Obsoletes: gnome-pim-devel
Provides: gnome-pim-devel = %{version}
#PreReq: scrollkeeper >= 0.3
URL: http://www.gnome.org/gnome-office/gnome-pim.shtml

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package conduits

Summary:	Gnome Pilot conduits for GnomeCal and GnomeCard
Group:         Office
Requires:       %{name} = %{version}
Requires:		gnome-pilot >= 0.1.62


%description conduits
The gnome-pim-conduits package includes the conduits needed to connect
your PalmPilot with gnome-pim applications.

Currently these conduits are present:

 - gnomecal :  synchronizes your GnomeCal calendar with your Palm's calendar
 - gnomecard:  synchronizes your contact list

%prep
%setup -q
%patch0 -p1 -b .fixhelp

%build

%configure2_5x

make


%install
rm -rf $RPM_BUILD_ROOT

DISABLE_GCONF_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/gnomecal.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/gnomecal.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/gnomecal.png
cp %{SOURCE4} $RPM_BUILD_ROOT%{_miconsdir}/gnome-card.png
cp %{SOURCE5} $RPM_BUILD_ROOT%{_iconsdir}/gnome-card.png
cp %{SOURCE6} $RPM_BUILD_ROOT%{_liconsdir}/gnome-card.png


# remove files not packaged
rm -rf	$RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.a \
	$RPM_BUILD_ROOT%{_libdir}/gnome-pilot/conduits/*.la

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="gnome" \
	section="Office/Time Management" \
	title="Gnome-Cal" \
	longtitle="Personal calendar and todo list" \
	command="%{_bindir}/gnomecal" \
	icon="gnomecal.png" \
	startup_notify="false"
?package(%{name}): \
	needs="gnome" \
	section="Office/Address Books" \
	title="Gnome-Card" \
	longtitle="Contact list of friends and business associates" \
	command="%{_bindir}/gnomecard" \
	icon="gnome-card.png" \
	startup_notify="false"
EOF

%{find_lang} %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
#if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
#GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#export GCONF_CONFIG_SOURCE
#for SCHEMA in gnomecal gnomecard; do
# gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
#done
%{update_menus}

%postun
#if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}


%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog
#%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_bindir}/*
#%{_libdir}/bonobo/servers/*
#%{_datadir}/gnomecard
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/mime-info/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/idl/*
#%{_datadir}/omf/*

%if %{pilot_support}
%files conduits
%defattr(-, root, root)
%{_libdir}/gnome-pilot/conduits/*.so*
#%{_libdir}/gnome-pilot/conduits/*.a
#%{_libdir}/gnome-pilot/conduits/*.la
%{_datadir}/pixmaps/gnome-calendar-conduit.png
%{_datadir}/gnome-pilot/conduits/*
%endif

%changelog
* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.9-6mdk
- Fix menu entry

* Wed Jan 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.9-5mdk
- Fix menu entry

* Thu Oct 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.9-4mdk
- Patch0: fix help call and don't complain when launcing gnomecard 
 (Mdk bug 916)

* Wed Sep 03 2003 David Baudens <baudens@mandrakesoft.com> 1.4.9-3mdk
- Fix menu entry

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1:1.4.9-2mdk
- don't build with pilot support

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1:1.4.9-1mdk
- Release 1.4.9
- Fix URL

* Sat Dec 28 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.8-4mdk
- BuildRequires
- Remove files not packaged

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-3mdk
- Remove old depencencies on gnome-control-center (no longer needed)

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-2mdk
- Recompiled against latest gnome-pilot/pilot-link

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.8-1mdk
- Release 1.4.8

* Thu Jul 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.7-1mdk
- Release 1.4.7 : reverting to gnome 1.4 branch, gnome 2.0 branch 
  of gnome-pim is not stable enough (possible data corruption)
- pilot conduits are back

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91.1-1mdk
- Release 1.91.1

* Fri Jul  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-1mdk
- Disable gnomecal menu entry, it doesn't start
- Release 1.90.2
- png icons

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.0-1mdk
- Release 1.90.0 (GNOME 2)
- Disable pilot support (not ported on GNOME 2 yet)

* Wed Feb 27 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.3-2mdk
- integrated Basque translation

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-1mdk
- Release 1.4.3
- Remove patch0 (merged upstream)
- Merge -devel package in main package

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1-0.20010809.2mdk
- BuildRequires: bison flex gettext-devel
- Removed redundant BuildRequires.

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-0.20010809.1mdk
- CVS snapshot (needed to work with latest gnome-pilot )
- Patch0: update to latest gnome-pilot

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Fix type in meny entry

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Fix icons for conduits
- New office menu structure

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Recompiled against latest pilot-link

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.2-1mdk
- Release 1.3.2

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- Add dependency on control-center for conduits
- Correct menu entries for conduits

* Tue Sep 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk
- Correct locale (Thanks to Goetz Waschk)

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk
- Provide menu entry for conduits

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- Add new icons
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 (from helix)
- BM + macroszification
- clean spec
- add support for pilot conduits

* Sat Apr 15 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.55-3mdk
- add menu entries 
- Correct groups

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build
- 1.0.55

* Sun Aug 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Version 1.0.9
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Version 1.0.7.

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Stripping again ;-).

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release
